
darktable - Bug #11506

Picasa Web API

02/12/2017 12:23 PM - Pascal Obry

Status: Fixed Start date: 02/12/2017

Priority: Critical Due date:  

Assignee: Pascal Obry % Done: 100%

Category: Lighttable Estimated time: 0.00 hour

Target version: 2.4.0   

Affected Version: git master branch bitness: 64-bit

System: all hardware

architecture:

amd64/x86

Description

Many part of the Picasa Web API is being deprecated and even removed. For example, it is not possible anymore to create albums

from the API, see:

https://developers.google.com/picasa-web/docs/2.0/developers_guide_protocol (see section : Creating an album)

and

https://developers.google.com/picasa-web/docs/3.0/releasenotes (see section : Mutation support removed)

This is also confirmed by some messages on the Web site of the guy creating the Picasa plug-in for Lr (

http://regex.info/blog/lightroom-goodies/picasaweb).

So issues on darktable regarding Picasa are not darktable bugs!

After reading some documentation it seems that the only solution left for the upload are:

- upload into an existing album

- upload into the special album named Drop Box

So, I'll remove the album creation and will add support for this Drop Box. Using a Drop Box means that after the upload user's have

to go to Google Photo and to shuffle the images into a new album. That's a bit more work :(

History

#1 - 02/16/2017 08:31 PM - Pascal Obry

The GitHub PR : https://github.com/darktable-org/darktable/pull/1440

#2 - 02/26/2017 08:42 PM - Pascal Obry

- % Done changed from 0 to 100

- Status changed from New to Fixed

#3 - 04/18/2017 11:02 AM - Roman Lebedev

- Target version changed from Candidate for next minor release to 2.4.0
